/*
* This file is part of fwmon
* Copyright (c) 2001,2002 Gianni Tedesco
*
*    fwmon is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    fwmon is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with fwmon; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __UTIL_HEADER_INCLUDED__
#define __UTIL_HEADER_INCLUDED__

const char *get_tcpflags(struct tcphdr *tcp);
char *strtoupper(char *in);
const char *get_proto(int p);
int format_ip ( u_long ip, char *txt );
const char *icmp_type(u_char type, u_char code);

typedef struct icmp_typename {
	u_char		type;
	const char	*name;
}icmp_typename_t;

typedef struct icmp_name {
	u_char		type;
	u_char		code;
	const char	*name;
}icmp_name_t;

#endif /* __UTIL_HEADER_INCLUDED__ */
